#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n,q;
	scanf("%i%i",&n,&q);
	int a[n+1];
	for(int i=1;i<=n;i++)
	{
		scanf("%i",&a[i]);
	}
	int mid=n/2+1;
	sort(a+1,a+n+1);
	while(q--)
	{
		int x;
		scanf("%i",&x);
		int lb=lower_bound(a+1,a+n+1,x)-a,ub=upper_bound(a+1,a+n+1,x)-a;
		//printf("%i %i\n",lb,ub);
		int res;
		if(lb==ub)
		{
			if(lb-1==mid)
			{
				res=1;
				//printf("1\n");
			}
			else if(lb-1>mid)
			{
				res=2*(lb-1)-n;
				//printf("%i\n",2*(lb-1)-n);
			}
			else
			{
				res=n-(lb-1)-(lb-1)+1;
				//printf("%i\n",n-(lb-1)-(lb-1)+1);
			}
		}
		else
		{
			if(lb<=mid && mid<=ub-1)
			{
				res=0;
			}
			else if(mid<lb)
			{
				res=2*lb-n-2;
			}
			else if(ub-1<mid)
			{
				res=n-(ub-1)-(ub-1)+1;
			}
		}
		printf("%i\n",res);
	}
    return 0;
}